{% extends 'base.html.twig' %}

{% block title %}Se connecter
{% endblock %}

{% block body %}
	<main class="container flex justify-center">
		<div class="w-full max-w-md mt-16">

			{% if error %}
				<div>{{ error.messageKey|trans(error.messageData, 'security') }}</div>
			{% endif %}

			<h2 class="text-center mb-4">Se connecter</h2>

			<form class="bg-white shadow-md rounded px-8 pt-6 pb-8 mb-4" method="POST">
				<div class="mb-4">
					<label class="block text-gray-700 text-sm font-bold mb-2" for="inputEmail">
						Email
					</label>
					<input class="shadow appearance-none border rounded w-full py-2 px-3 text-gray-700 leading-tight focus:outline-none focus:shadow-outline" id="inputEmail" name="email" type="email" placeholder="Email" value="{{ last_username }}" required autofocus>
				</div>
				<div class="mb-6">
					<label class="block text-gray-700 text-sm font-bold mb-2" for="inputPassword">
						Mot de passe
					</label>
					<input class="shadow appearance-none border rounded w-full py-2 px-3 text-gray-700 mb-3 leading-tight focus:outline-none focus:shadow-outline" name="password" id="inputPassword" type="password" placeholder="******************">
				</div>

				<input type="hidden" name="_csrf_token" value="{{ csrf_token('authenticate') }}">

				<div class="mb-6">
					<label class="block text-gray-500 font-bold">
							<input class="mr-2 leading-tight" type="checkbox" name="_remember_me"> 
							<span class="text-sm">Se souvenir de moi</span>
					</label>
				</div>

				<div class="flex items-center justify-between">
					<button class="bg-blue-500 hover:bg-blue-700 text-white font-bold py-2 px-4 rounded focus:outline-none focus:shadow-outline" type="submit">
						Se connecter
					</button>
				</div>

			</form>
		</div>
	</main>

{% endblock %}
